<?php
if (!isset($_SESSION))
{
	session_start();
}
require_once ('header.php');
echo "<h1>Jabbo Help Tool</h1>";
if ($aangemeld == "ja")
{
	if ($member_status != "jabbo")
	{
		if (ISSET($_GET['id']))
		{
			$check = mysql_num_rows(mysql_query("SELECT * FROM helptool WHERE id='".$_GET['id']."';"));
			if ($check != 0)
			{
				$vraag = halen_array("SELECT * FROM helptool WHERE id='".$_GET['id']."';");
				$warning_nu = halen("SELECT warning FROM members WHERE naam='".$vraag['naam']."';");
				$antw = $warning_nu."\n".$_SESSION['naam']." heeft je vraag beantwoord:\n\n".$_GET['bericht'];
				$antw = str_replace("\n", "[br]", $antw);
				mysql_query("UPDATE members SET warning='".$antw."' WHERE naam='".$vraag['naam']."';");
				mysql_query("DELETE FROM helptool WHERE id='".$vraag['id']."';");
				action("beantwoord een vraag van de Help Tool");
			}
			else
			{
				echo "<b>>Deze vraag werd ondertussen al door iemand anders beantwoord.</b><br><br>";
			}
		}
		$res = mysql_query("SELECT * FROM helptool ORDER BY RAND() LIMIT 0,1;");
		if (mysql_num_rows($res) >= 1)
		{
			echo "<b>Als je geen antwoord weet op deze vraag, druk dan <a href='helptool.php'>hier</a> voor een andere.</b><br><br>";
			while ($row = mysql_fetch_array($res))
			{
				$soorthulp = "Iets anders";
				if($row['soort'] == 1)
				{
					$soorthulp = "Ik kan niet inloggen in het Hotel";
				}
				if($row['soort'] == 2)
				{
					$soorthulp = "Ik denk dat mijn Jabbo gestolen is";
				}
				if($row['soort'] == 3)
				{
					$soorthulp = "Ik heb een idee";
				}
				if($row['soort'] == 4)
				{
					$soorthulp = "Ik heb een vraag over Jabbo Credits";
				}
				if($row['soort'] == 5)
				{
					$soorthulp = "Ik wil mijn Jabbo fansite aanmelden";
				}
				if($row['soort'] == 6)
				{
					$soorthulp = "Ongepast of strafbaar gedrag melden";
				}
				if($row['soort'] == 7)
				{
					$soorthulp = "Iets anders";
				}
				if($row['soort'] == 8)
				{
					$soorthulp = "Een bug melden";
				}
				echo "<div class='reactionsz'>";
				echo "<center><font size='3'><b>".$soorthulp."</b></font></center>";
				echo "<div align='right'>Van <a href='profiel.php?naam=".$row['naam']."'>".$row['naam']."</a></i></div><br>";
				echo nl2br($row['bericht']);
				echo "</div><br>";
				echo "<form action='helptool.php' method='get'>";
				echo "<textarea name='bericht' cols='60' rows='9'></textarea><br>";
				echo "<input type='hidden' name='id' value='".$row['id']."'>";
				echo "<input type='submit' value='Beantwoord >'>";
				echo "</form>";
			}
		}
		else
		{
			echo "Goed zo! Alle vragen zijn op dit moment al beantwoord! Blijf kijken of er nieuwe zijn!";
		}
	}
}
else
{
	echo "Oeps! Hiervoor moet je aangemeld zijn!";
}
require_once ('footer.php');
?>